RubyGems Navigation menu

gitolite-rugged 1.2.2

This gem is designed to provide a Ruby interface to the Gitolite Git backend system using libgit2/rugged. This gem aims to provide all management functionality that is available via the gitolite-admin repository (like SSH keys, repository permissions, etc)

Versions:

  1. 1.2.2 - July 23, 2014 (43 KB)
  2. 1.2.1.pre.devel - June 05, 2014 (43 KB)
  3. 1.2.pre.devel - May 15, 2014 (30 KB)

Runtime Dependencies (2):

  • gratr19 >= 0.4.4.1, ~> 0.4.4
  • rugged >= 0.21.0, ~> 0.21
  • Development Dependencies (10):

  • forgery >= 0.6.0, ~> 0.6
  • guard-rspec >= 4.2.8, ~> 4.2
  • guard-spork >= 1.5.1, ~> 1.5
  • rake >= 10.3.1, ~> 10.3
  • rdoc >= 4.1.1, ~> 4.1
  • rspec >= 2.14.1, ~> 2.14
  • rspec_junit_formatter >= 0.1.6, ~> 0.1
  • simplecov >= 0.8.2, ~> 0.8
  • simplecov-rcov >= 0.2.3, ~> 0.2
  • travis-lint >= 1.8.0, ~> 1.8
  • Owners:

    Authors:

    • Oliver Günther

    SHA 256 checksum:

    2df0dfa6bd021b024aa379d00e73c6f8a5aaa3887b575da71981dce8e3b8508a

    Total downloads 9,645

    For this version 5,772

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 0

    Links: